<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

pageheader($lang_plugin_hidemypics['hidemypics'].' - '.$lang_gallery_admin_menu['admin_lnk']);

if ($superCage->post->keyExists('submit')) {
	if (!checkFormToken()) {
		global $lang_errors;
		cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
	}
	hidemypics_process_form();
}

hidemypics_display_form();

/***************************************************************************/

function hidemypics_display_form ()
{
	global $CONFIG, $lang_common, $lang_gallery_admin_menu, $lang_plugin_hidemypics;

	echo '<form action="index.php?file=hidemypics/config" method="post">';

	starttable('100%', $lang_plugin_hidemypics['hidemypics']." - ".$lang_gallery_admin_menu['admin_lnk'], 2);

	require 'cfg.php';

	$cfg = json_decode($hmp_cfg,true);

	$norck = $CONFIG['hidemypics_nrc'] == 1 ? ' checked="checked"' : '';

	$submit_icon = cpg_fetch_icon('ok', 1);
	echo <<<EOT
	<tr>
		<td class="tableb" style="width:20em">
			{$lang_plugin_hidemypics['no_r_click']}
		</td>
		<td class="tableb">
			<input type="checkbox" name="norclick" value="1"{$norck} />
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_hidemypics['valid']}
		</td>
		<td class="tableb">
			<input type="number" name="timeout" value="{$cfg['timo']}" style="width:2rem" /> {$lang_plugin_hidemypics['seconds']} &nbsp;{$lang_plugin_hidemypics['v-zero']}
		</td>
	</tr>
	<tr>
		<td class="tableb" colspan="2" style="text-align:center">
			<br /><button value="{$lang_common['apply_changes']}" name="submit" class="button" type="submit">{$submit_icon}{$lang_common['apply_changes']}</button>
		</td>
	</tr>
EOT;
	endtable();

	list($timestamp, $form_token) = getFormToken();
	echo "<input type=\"hidden\" name=\"form_token\" value=\"{$form_token}\" />";
	echo "<input type=\"hidden\" name=\"timestamp\" value=\"{$timestamp}\" />";
	echo '</form>';
	pagefooter();
}

function hidemypics_process_form ()
{
	global $CONFIG, $superCage, $lang_common, $lang_plugin_hidemypics;

	require 'cfg.php';
	$cfg = json_decode($hmp_cfg, true);

	$nrck = $superCage->post->keyExists('norclick') ? 1 : 0;
	$cfg['timo'] = $superCage->post->getInt('timeout');

	cpg_config_set('hidemypics_nrc', $nrck);

	$cfg['secr'] = bin2hex(random_bytes(13));
	$cfc = '<?php'."\n".'$hmp_cfg = \''.json_encode($cfg)."';\n";
	file_put_contents(dirname(__FILE__).'/cfg.php', $cfc);

	msg_box('', $lang_plugin_hidemypics['saved'], '', '', 'success');
}
